<?php

namespace Drupal\syncabinet\Hook;

/**
 * Hook form alter.
 */
class FormAlter {

  /**
   * Implements hook_form_alter().
   */
  public static function hook(&$form) {
    $forms = [
      'user_pass',
      'user_form',
      'user_login_form',
      'user_register_form',
    ];
    if (in_array($form['#form_id'], $forms)) {
      $form['#attributes']['class'][] = 'contact-message-form';
      $form['#attributes']['class'][] = 'cabinet-form';
    }
    if ($form['#form_id'] == 'user_login_form') {
      $form['name']['#prefix'] = '<h1 class="user-login-title">Вход в личный кабинет</h1>';
      $form['pass']['#suffix'] = '<a class="user-login-forgot-link" href="/user/password">Забыли пароль?</a>';
      $form['actions']['#prefix'] = '<div class="user-login-actions-group">';
      $form['actions']['#suffix'] = '<span>или</span><a class="user-login-registration-link" href="/user/register">Регистрация</a></div>';
    }
  }

}
